%global pkgvers 0
%global scdate0 20240423
%global schash0 619ac3186ea0ffc092615e1f59f7397e5e6f668c
%global branch0 master
%global source0 https://github.com/steve-m/librtlsdr.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           rtl-sdr
Version:        2.0.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        SDR utilities for Realtek RTL2832 based DVB-T dongles
License:        GPLv2+

URL:            http://sdr.osmocom.org/trac/wiki/rtl-sdr

Patch0:         librtlsdr-0.6.0-pkgconfig.patch

BuildRequires:  gcc cmake git libusbx-devel

Requires(pre):  shadow-utils, glibc-common

%global __cmake_in_source_build 1

%description
This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.

%package        devel
Summary:        Development files for rtl-sdr
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for rtl-sdr.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller

# % patch0 -p1


%build
sed -i 's|VERSION_INFO_PATCH_VERSION git|VERSION_INFO_PATCH_VERSION 0|' CMakeLists.txt
rm -f src/getopt/*
rmdir src/getopt
%cmake -DDETACH_KERNEL_DRIVER=ON
%cmake_build


%install
%cmake_install

# remove static libs
rm -f %{buildroot}%{_libdir}/*.a

# Fix udev rules and allow access only to users in rtlsdr group
sed -i 's/MODE:="0666"/GROUP:="rtlsdr", MODE:="0660", ENV{ID_SOFTWARE_RADIO}="1"/' ./rtl-sdr.rules
install -Dpm 644 ./rtl-sdr.rules %{buildroot}%{_prefix}/lib/udev/rules.d/10-rtl-sdr.rules

%pre
getent group rtlsdr >/dev/null || \
  %{_sbindir}/groupadd -r rtlsdr >/dev/null 2>&1
exit 0

%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS
%{_bindir}/*
%{_libdir}/*.so.*
%{_prefix}/lib/udev/rules.d/10-rtl-sdr.rules

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- initial release
